## octave-sparsersb 1.0.5

=== DESCRIPTION ===
Name: sparsersb
Version: 1.0.5
Date: 2017-03-29
Author: Michele Martone <michelemartone@users.sourceforge.net> 
Maintainer: Michele Martone <michelemartone@users.sourceforge.net> 
Title: Interface to the librsb package implementing the RSB sparse matrix format.
Description: Interface to the librsb package implementing the RSB sparse matrix format for fast shared-memory sparse matrix computations.
Depends: octave (>= 4.0.0)
License: GPLv3+
Url: http://librsb.sourceforge.net/
Categories: Sparse Matrix Computations
BuildRequires: librsb

=== src/Makefile ===
sinclude Makeconf
# Makeconf is created by the configure script.
# You can also not use it but set explicitly the following:
CXXFLAGS=$(SPARSERSB_CXXFLAGS)
LFLAGS=$(shell $(MKOCTFILE) -p LFLAGS) $(SPARSERSB_LDFLAGS)
CXXFLAGS_CXX11=$(SPARSERSB_CXX11)

.PHONY: all check

SPARSERSB_OCT=sparsersb.oct
all: $(SPARSERSB_OCT)

tags: *.cc
	ctags *

#library:
#	true # if test "$(RSBLIBDIR)" = $(shell pwd)/../lib ; then \
#	# echo "Will build librsb so to have RSBINCDIR=$(RSBINCDIR) and RSBLIBDIR=$(RSBLIBDIR)"; \
#		# make -C $(RSBLIBDIR) ; fi

$(SPARSERSB_OCT): sparsersb.cc
	LFLAGS="$(LFLAGS)" CXXFLAGS="$(CXXFLAGS) $(CXXFLAGS_CXX11)" $(MKOCTFILE) -D'RSB_SPARSERSB_LABEL=sparsersb' -o $@ $< 
rtest: $(SPARSERSB_OCT)
	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent ../inst/sparsersbtester.m
	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent ../bin/octavebench.m ../bin/pd.mtx
	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent ../bin/octavebench.m 

bench: $(SPARSERSB_OCT)
	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent ../bin/obench.m
	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent ../bin/lsbench.m
	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent ../inst/sparsersbbench.m

itests: tests
	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent --eval 'demo sparsersb'
	
tests: rtest
check: tests

clean:
	-$(RM) *.o octave-core core *.oct *~ tags

# This is expected to work on author's machine.
#dist_old:
#	echo "warning: we are making a tarball out of SVN repositories: NOT this checked out copy."
#	rm -fR $(PACKAGE_NAME)
#	svn export `svn info  | grep URL | sed 's/^.* //;s/src$$//'g` $(PACKAGE_NAME)
#	cd $(PACKAGE_NAME)/src && sh autogen.sh && cd -
#	rm -fR $(PACKAGE_NAME)/src/old
#	rm -fR $(PACKAGE_NAME)/src/TODO.txt
#	rm -fR $(PACKAGE_NAME)/src/oldjunk
#	tar czf $(PACKAGE_NAME).tgz $(PACKAGE_NAME)
#	tar tzf $(PACKAGE_NAME).tgz

SPARSERSB=sparsersb-1.0.5
ARCHIVE=$(HOME)/src/sparsersb-archives
GPGSIGNCMD=gpg -sbav -u 1DBB555AEA359B8AAF0C6B88E0E669C8EF1258B8 

help:
	@echo "# As a user, './configure ... .; make;' shall suffice."
	@echo "# If you are developing, you might be interested in 'make' followed by either of dist, sdist, sign, tarballs, html-doc."

dist: tarballs html-doc

sdist: sign tarballs html-doc

sign: tarballs html-doc
	$(GPGSIGNCMD) $(ARCHIVE)/$(SPARSERSB).tar.gz
	gpg --verify  $(ARCHIVE)/$(SPARSERSB).tar.gz.asc
	$(GPGSIGNCMD) $(ARCHIVE)/sparsersb-html.tar.gz
	gpg --verify  $(ARCHIVE)/sparsersb-html.tar.gz.asc

tarballs:
	rm -f $(ARCHIVE)/$(SPARSERSB).tar
	hg archive -t tar  $(ARCHIVE)/$(SPARSERSB).tar  --exclude '*.hgignore' -X ".hg*"
	rm -f ../../$(SPARSERSB)
	ln -s `pwd`/.. ../../$(SPARSERSB)
	cd ../.. && tar rf $(ARCHIVE)/$(SPARSERSB).tar --add-file $(SPARSERSB)/src/configure
	cd ../.. && tar  f $(ARCHIVE)/$(SPARSERSB).tar \
	       	        --delete $(SPARSERSB)/.hg_archival.txt --delete $(SPARSERSB)/.hgtags --delete $(SPARSERSB)/.hgignore
	#tar tvf $(SPARSERSB).tar
	gzip -f  $(ARCHIVE)/$(SPARSERSB).tar
	tar tvzf $(ARCHIVE)/$(SPARSERSB).tar.gz

html-doc:
	rm -fR   ./octfiles-tmp ./sparsersb-html $(SPARSERSB)
	mkdir -p ./octfiles-tmp 
	#tar xvzf $(ARCHIVE)/$(SPARSERSB).tar.gz
	# If missing.. pkg install -forge generate_html
	$(OCTAVE) --norc --eval 'pkg prefix ./octfiles-tmp ; echo on; diary sparsersb-diary-install.log; more off; pkg install -verbose '$(ARCHIVE)/$(SPARSERSB).tar.gz'; echo off; pkg load generate_html; generate_package_html ("sparsersb", "sparsersb-html", "octave-forge")'
	tar czf $(ARCHIVE)/sparsersb-html.tar.gz sparsersb-html
	echo "You maybe want to remove dirs: ./octfiles-tmp ./sparsersb-html $(SPARSERSB)"
	ls -l   $(ARCHIVE)/sparsersb-html.tar.gz $(ARCHIVE)/$(SPARSERSB).tar.gz 
	md5sum  $(ARCHIVE)/sparsersb-html.tar.gz $(ARCHIVE)/$(SPARSERSB).tar.gz 
	cd $(ARCHIVE)/
	
doc: $(SPARSERSB_OCT)
	$(OCTAVE) --norc -q --eval 'help sparsersb' | grep -v 'is a function from the'  > ../doc/sparsersb.txt

=== debian/changelog ===
octave-sparsersb (1.0.5-1build1) artful; urgency=medium

  * No-change rebuild against liboctave4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 Jun 2017 03:55:31 +0000

octave-sparsersb (1.0.5-1) unstable; urgency=medium

  * New upstream version 1.0.5
  * d/copyright: Reflect upstream changes
  * d/p/avoid-rpath.patch: Drop patch (applied upstream)
  * d/p/drop-power-operator-test.patch: Drop patch (applied upstream)
  * d/rules: Prevent the compression of *.m examples

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 31 Mar 2017 02:40:52 -0300

octave-sparsersb (1.0.2-3) unstable; urgency=medium

  * d/p/drop-power-operator-test.patch: Add patch.
    Thanks to Michele Martone for the suggestion (Closes: #857899)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 20 Mar 2017 16:53:21 -0300

octave-sparsersb (1.0.2-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: Fix typo in package short description

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 15 Mar 2017 17:47:25 -0300

octave-sparsersb (1.0.2-1) experimental; urgency=low

  * Initial release (closes: #857787)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 20 Aug 2016 16:19:38 -0300

=== debian/control ===
Source: octave-sparsersb
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper (>= 10), cdbs, octave-pkg-dev (>= 1.4.4),
 librsb-dev, autoconf
Standards-Version: 3.9.8
Homepage: http://octave.sourceforge.net/sparsersb/
Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-sparsersb.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-octave/octave-sparsersb.git

Package: octave-sparsersb
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: RSB sparse matrix manipulation for Octave
 This package contains an interface to the librsb package implementing
 the Recursive Sparse Blocks (RSB) sparse matrix format for fast
 shared-memory sparse matrix computations in Octave, a scientific
 computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

DEB_COMPRESS_EXCLUDE = .m

pre-build::
	( cd src ; autoconf )

### Move Octave scripts into the examples directory
SHAREDIR = debian/octave-sparsersb/usr/share
EXAMPLESDIR = $(SHAREDIR)/doc/octave-sparsersb/examples
OCTDIR = $(SHAREDIR)/octave/packages/sparsersb-*
BINDIR = $(OCTDIR)/bin
install/octave-sparsersb::
	mkdir -p $(EXAMPLESDIR)
	mv $(OCTDIR)/sparsersb*.m $(BINDIR)/*.m $(BINDIR)/pd.mtx $(EXAMPLESDIR)
	chmod -x $(EXAMPLESDIR)/*
	rm -rf $(BINDIR)
	rm -f $(OCTDIR)/doc-cache $(BINDIR)/doc-cache

check-pkg::
	make OCTAVE=octave-cli -C src/ check

=== debian/watch ===
version=3
http://sf.net/octave/sparsersb-(.+)\.tar\.gz

## octave-sparsersb 1.0.6

=== DESCRIPTION ===
Name: sparsersb
Version: 1.0.6
Date: 2018-06-19
Author: Michele Martone <michelemartone@users.sourceforge.net> 
Maintainer: Michele Martone <michelemartone@users.sourceforge.net> 
Title: Interface to the librsb package implementing the RSB sparse matrix format.
Description: Interface to the librsb package implementing the RSB sparse matrix format for fast shared-memory sparse matrix computations.
Depends: octave (>= 4.4.0)
License: GPLv3+
Url: http://librsb.sourceforge.net/
Categories: Sparse Matrix Computations
BuildRequires: librsb

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 sinclude Makeconf
 # Makeconf is created by the configure script.
 # You can also not use it but set explicitly the following:
-CXXFLAGS=$(SPARSERSB_CXXFLAGS)
+CXXFLAGS=$(SPARSERSB_CXXFLAGS) $(OCTAVE_FUNC_DEFINES)
 LFLAGS=$(shell $(MKOCTFILE) -p LFLAGS) $(SPARSERSB_LDFLAGS)
 CXXFLAGS_CXX11=$(SPARSERSB_CXX11)

=== debian/changelog ===
octave-sparsersb (1.0.6-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:17 +0100

octave-sparsersb (1.0.6-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 08 Nov 2019 13:07:19 -0300

octave-sparsersb (1.0.6-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat
  * d/p/do-not-strip-debugging-symbols.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:46 -0200

octave-sparsersb (1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Jun 2018 10:38:48 -0300

octave-sparsersb (1.0.5-4) unstable; urgency=medium

  [ Mike Miller ]
  * d/control: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/rules: Use override_dh_installdeb for post-install actions
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

  [ Michele Martone ]
  * patch to counter broken build (e.g. octave-forge bug #50764), debian-side.
  * new patch: iscomplex has been replaced with is_complex_type.

  [ Sébastien Villemot ]
  * Revert "d/rules: Use override_dh_installdeb for post-install actions"

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 18 Jun 2018 18:30:55 -0300

octave-sparsersb (1.0.5-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:38:19 -0200

octave-sparsersb (1.0.5-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:40 -0200

=== debian/control ===
Source: octave-sparsersb
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: autoconf,
               debhelper-compat (= 12),
               dh-octave (>= 0.7.1),
               librsb-dev
Standards-Version: 4.4.1
Homepage: https://octave.sourceforge.io/sparsersb/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-sparsersb.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-sparsersb
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-sparsersb
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: RSB sparse matrix manipulation for Octave
 This package contains an interface to the librsb package implementing
 the Recursive Sparse Blocks (RSB) sparse matrix format for fast
 shared-memory sparse matrix computations in Octave, a scientific
 computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

DEB_COMPRESS_EXCLUDE = .m

override_dh_auto_configure:
	( cd src ; autoconf )

### Move Octave scripts into the examples directory
SHAREDIR = debian/octave-sparsersb/usr/share
EXAMPLESDIR = $(SHAREDIR)/doc/octave-sparsersb/examples
OCTDIR = $(SHAREDIR)/octave/packages/sparsersb-*
BINDIR = $(OCTDIR)/bin
override_dh_auto_install:
	dh_auto_install
	mkdir -p $(EXAMPLESDIR)
	mv $(OCTDIR)/sparsersb*.m $(BINDIR)/*.m $(BINDIR)/pd.mtx $(EXAMPLESDIR)
	chmod -x $(EXAMPLESDIR)/*
	rm -rf $(BINDIR)
	rm -f $(OCTDIR)/doc-cache $(BINDIR)/doc-cache

=== debian/watch ===
version=4
http://sf.net/octave/sparsersb-(.+)\.tar\.gz

## octave-sparsersb 1.0.8

=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,24 @@
+#
+# Copyright (C) 2011-2020   Michele Martone   <michelemartone _AT_ users.sourceforge.net>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, see <http://www.gnu.org/licenses/>.
+#
 sinclude Makeconf
 # Makeconf is created by the configure script.
 # You can also not use it but set explicitly the following:
 CXXFLAGS=$(SPARSERSB_CXXFLAGS) $(OCTAVE_FUNC_DEFINES)
-LFLAGS=$(shell $(MKOCTFILE) -p LFLAGS) $(SPARSERSB_LDFLAGS)
+LDFLAGS=$(shell $(MKOCTFILE) -p LDFLAGS) $(SPARSERSB_LDFLAGS)
 CXXFLAGS_CXX11=$(SPARSERSB_CXX11)
 
 .PHONY: all check
@@ -19,11 +35,13 @@
 #		# make -C $(RSBLIBDIR) ; fi
 
 $(SPARSERSB_OCT): sparsersb.cc
-	LFLAGS="$(LFLAGS)" CXXFLAGS="$(CXXFLAGS) $(CXXFLAGS_CXX11)" $(MKOCTFILE) -D'RSB_SPARSERSB_LABEL=sparsersb' -o $@ $< 
+	LFLAGS="$(LDFLAGS)" LDFLAGS="$(LDFLAGS)" CXXFLAGS="$(CXXFLAGS) $(CXXFLAGS_CXX11)" $(MKOCTFILE) -D'RSB_SPARSERSB_LABEL=sparsersb' -o $@ $<
 rtest: $(SPARSERSB_OCT)
 	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent ../inst/sparsersbtester.m
 	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent ../bin/octavebench.m ../bin/pd.mtx
 	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent ../bin/octavebench.m 
+	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent --eval 'test sparsersbtg'
+	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent --eval 'test sparsersb'
 
 bench: $(SPARSERSB_OCT)
 	SPARSERSB_TEST=1 $(OCTAVE) --norc --silent ../bin/obench.m
@@ -39,6 +57,10 @@
 clean:
 	-$(RM) *.o octave-core core *.oct *~ tags
 
+srut:
+	awk -f srut.awk < sparsersb.cc  > sparsersb.cc.new
+	mv sparsersb.cc.new sparsersb.cc
+
 # This is expected to work on author's machine.
 #dist_old:
 #	echo "warning: we are making a tarball out of SVN repositories: NOT this checked out copy."
@@ -51,7 +73,7 @@
 #	tar czf $(PACKAGE_NAME).tgz $(PACKAGE_NAME)
 #	tar tzf $(PACKAGE_NAME).tgz
 
-SPARSERSB=sparsersb-1.0.5
+SPARSERSB=sparsersb-1.0.8
 ARCHIVE=$(HOME)/src/sparsersb-archives
 GPGSIGNCMD=gpg -sbav -u 1DBB555AEA359B8AAF0C6B88E0E669C8EF1258B8

=== debian/changelog ===
octave-sparsersb (1.0.8-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Dec 2020 18:21:54 +0100

octave-sparsersb (1.0.8-2) experimental; urgency=medium

  [ Michele Martone ]
  * fix: sparsersbtg test and call it from `make tests'

  [ Rafael Laboissière ]
  * d/clean: Delete left-over files src/*.cc-tst
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/p/build-against-octave-6.patch: New patch (Closes: #976205)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 03 Dec 2020 11:49:13 -0300

octave-sparsersb (1.0.8-1) unstable; urgency=medium

  * New upstream version 1.0.8
  * d/control: Restrain the build-dependency on librsb-dev to >= 1.2.0.9
  * d/clean: New file

 -- Rafael Laboissière <rafael@debian.org>  Mon, 17 Aug 2020 02:56:10 -0300

octave-sparsersb (1.0.7-2) unstable; urgency=medium

  * d/u/metadata: Drop Name and Contact fields

 -- Rafael Laboissière <rafael@debian.org>  Fri, 31 Jul 2020 07:03:30 -0300

octave-sparsersb (1.0.7-1) unstable; urgency=medium

  * New upstream version 1.0.7
  * d/copyright: Reflect upstream changes
  * d/p/do-not-strip-debugging-symbols.patch: Drop patch (applied upstream)
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)
  * d/u/metadata: New file
  * d/control: Bump debhelper compatibitlity level to 13

 -- Rafael Laboissière <rafael@debian.org>  Thu, 21 May 2020 17:33:23 -0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
+Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: autoconf,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
-               librsb-dev
-Standards-Version: 4.4.1
+               librsb-dev (>= 1.2.0.9)
+Standards-Version: 4.5.1
 Homepage: https://octave.sourceforge.io/sparsersb/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-sparsersb.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-sparsersb

## octave-sparsersb 1.0.9

=== DESCRIPTION ===
Name: sparsersb
Version: 1.0.9
Date: 2021-09-21
Author: Michele Martone <michelemartone@users.sourceforge.net>
Maintainer: Michele Martone <michelemartone@users.sourceforge.net>
Title: Interface to the librsb package implementing the RSB sparse matrix format.
Description: Interface to the librsb package implementing the RSB sparse matrix format for fast shared-memory sparse matrix computations.
Depends: octave (>= 4.4.0)
License: GPLv3+
Url: http://librsb.sourceforge.net/
Categories: Sparse Matrix Computations
BuildRequires: librsb (>= 1.2.0.9)

=== debian/changelog ===
octave-sparsersb (1.0.9-8) unstable; urgency=medium

  * Team upload

  [ Rafael Laboissière ]
  * d/control: Drop the versioned dependency on dh-octave.
    Relationship >= 1.2.3 is satisfiable in oldoldstable, which has version
    1.2.7.
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)
  * d/control: Drop “Rules-Requires-Root: no”, which is now the default

  [ Sébastien Villemot ]
  * no-cxx11.patch: new patch, fixes FTBFS against Octave 10 (Closes: #1114622)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 20 Sep 2025 21:26:51 +0200

octave-sparsersb (1.0.9-7) unstable; urgency=medium

  * d/u/metadata:
    + Add Repository URL
    + Add Documentation URL
  * d/p/deprecated-dot-minus.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sun, 11 Feb 2024 14:10:25 -0300

octave-sparsersb (1.0.9-6) unstable; urgency=medium

  * Team upload

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/control: Update Homepage URL
  * d/copyright: Update Source URL

  [ Sébastien Villemot ]
  * d/clean: clean some files created by the build.
    This ensures that the package builds twice in a row.
    (Closes: #1049086)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 14 Aug 2023 11:31:36 +0200

octave-sparsersb (1.0.9-5) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Tue, 20 Dec 2022 18:23:14 -0300

octave-sparsersb (1.0.9-4) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * No need for cleaning *-tst files
    + d/clean: Drop the line with src/*.cc-tst
  * Fix cleaning rules in Makefile and src/Makefile
    + d/p/fix-cleaning.patch: New patch
    + d/clean: Adjust for the new situation
    + d/s/options: Drop obsolete file
  * d/control: Build-depend on dh-octave >= 1.2.3. In this version
    dh_octave_clean removes the src/*-tst files and calls "make
    distclean" for remving the files generated by the configure
    script.
  * d/copyright: Update copyright years of debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Thu, 14 Jul 2022 18:59:13 -0300

octave-sparsersb (1.0.9-3) unstable; urgency=medium

  * Team upload
  * no-internal-mex-fcns.patch: new patch, fixes FTBFS against Octave 7
    (Closes: #1009138)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 11 Apr 2022 14:53:30 +0200

octave-sparsersb (1.0.9-2) unstable; urgency=medium

  * d/copyright:
    + Accentuate my family name
    + Update copyright years
  * d/p/honor-cxxflags.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 17 Nov 2021 09:50:00 -0300

octave-sparsersb (1.0.9-1) unstable; urgency=medium

  * New upstream version 1.0.9
  * d/p/build-against-octave-6.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 21 Sep 2021 13:34:09 -0300

octave-sparsersb (1.0.8-4) unstable; urgency=medium

  * Use d/autoreconf instead of target override_dh_auto_configure in d/rules
  * d/clean: Remove extra files left over by the building process
  * d/rules: Use execute_after_dh_auto_install instead of
    override_dh_auto_install
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * Set OMP_NUM_THREADS to a reasonable value when running the tests,
    both at build time and via autopkgtest (Closes: #994426)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 18 Sep 2021 11:13:53 -0300

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: autoconf,
                debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-sequence-octave,
                librsb-dev (>= 1.2.0.9)
-Standards-Version: 4.5.1
-Homepage: https://octave.sourceforge.io/sparsersb/
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/sparsersb/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-sparsersb.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-sparsersb
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-sparsersb
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Limit the number of threads in OpenMP
export DH_OCTAVE_TEST_ENV = OMP_NUM_THREADS=$(shell test $(shell nproc) -gt 4 && echo 4 || echo $(shell nproc))

%:
	dh $@ --buildsystem=octave

DEB_COMPRESS_EXCLUDE = .m

### Move Octave scripts into the examples directory
SHAREDIR = debian/octave-sparsersb/usr/share
EXAMPLESDIR = $(SHAREDIR)/doc/octave-sparsersb/examples
OCTDIR = $(SHAREDIR)/octave/packages/sparsersb-*
BINDIR = $(OCTDIR)/bin
execute_after_dh_auto_install:
	mkdir -p $(EXAMPLESDIR)
	mv $(OCTDIR)/sparsersb*.m $(BINDIR)/*.m $(BINDIR)/pd.mtx $(EXAMPLESDIR)
	chmod -x $(EXAMPLESDIR)/*
	rm -rf $(BINDIR)
	rm -f $(OCTDIR)/doc-cache $(BINDIR)/doc-cache

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/sparsersb/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/sparsersb-(.+).tar.gz
